summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Martin A. Ivanov2010-12-10 06:25:54 +0100
committer Robby Workman2010-12-10 06:25:54 +0100
commit8f9308644d4bfbda45332f72d5cf4c3fbafb2126 (patch)
tree279359330ac6c6a3227ee2f29a7b6944cf4af8ff
parent3172d5b78642cbfcbdf8971ad08913c69bd67c45 (diff)
downloadslackbuilds-8f9308644d4bfbda45332f72d5cf4c3fbafb2126.tar.gz
office/kbgoffice: Added (KDE frontend for the BG Office project)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--office/kbgoffice/README7
-rw-r--r--office/kbgoffice/kbgoffice.SlackBuild80
-rw-r--r--office/kbgoffice/kbgoffice.desktop13
-rw-r--r--office/kbgoffice/kbgoffice.info10
-rw-r--r--office/kbgoffice/slack-desc19
5 files changed, 129 insertions, 0 deletions
diff --git a/office/kbgoffice/README b/office/kbgoffice/README
new file mode 100644
index 0000000000..38b8e9e190
--- /dev/null
+++ b/office/kbgoffice/README
@@ -0,0 +1,7 @@
+KBGOffice is inheritor of the popular dictionary KBEDictionary.
+It provides easy to use interface for the dictionaries from the
+Bulgarian Office project. Currently KBGOffice supports all the five
+dictionaries (English <=> Bulgarian, Polytechnical, Computer Terms,
+Thesaurus and Dialect)
+
+This requires the "full-pack" package (runtime-only dependency).
diff --git a/office/kbgoffice/kbgoffice.SlackBuild b/office/kbgoffice/kbgoffice.SlackBuild
new file mode 100644
index 0000000000..97cad0b25b
--- /dev/null
+++ b/office/kbgoffice/kbgoffice.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+#
+# SlackBuild for KBGOffice Assistant
+# Written by Georgi D. Sotirov <gdsotirov@dir.bg>
+# Modified by Martin A. Ivanov <tramni@abv.bg>
+#
+
+PRGNAM=kbgoffice
+VERSION=2.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i686 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd src
+ sed "s:/usr/local:/usr:" -i.orig $PRGNAM.pro
+ sed "s:/usr/local:/usr:" -i.orig main.cpp
+ qmake -config release
+ CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" make
+ make INSTALL_ROOT=$PKG install
+cd ..
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# er, no.
+rm -rf $PKG/root
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING* ChangeLog INSTALL README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chown root:root {} \; -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/kbgoffice/kbgoffice.desktop b/office/kbgoffice/kbgoffice.desktop
new file mode 100644
index 0000000000..f0500ca0d1
--- /dev/null
+++ b/office/kbgoffice/kbgoffice.desktop
@@ -0,0 +1,13 @@
+#!/usr/bin/env xdg-open
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=KBGOffice
+Name[bg]=КБГОфис
+GenericName=BG Office Assistant
+GenericName[bg]=БГ Офис помощник
+TryExec=kbgoffice
+Exec=kbgoffice %F
+Icon=kbgoffice_icon
+Categories=Office;TextTools;KDE;Qt;Utility;Dictionary;
+Terminal=false
diff --git a/office/kbgoffice/kbgoffice.info b/office/kbgoffice/kbgoffice.info
new file mode 100644
index 0000000000..594593b0df
--- /dev/null
+++ b/office/kbgoffice/kbgoffice.info
@@ -0,0 +1,10 @@
+PRGNAM="kbgoffice"
+VERSION="2.0"
+HOMEPAGE="http://bgoffice.sourceforge.net/assistant/"
+DOWNLOAD="http://downloads.sourceforge.net/bgoffice/kbgoffice-2.0.tar.gz"
+MD5SUM="c8764b2b3224209ec8025dd3c9c45e37"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Martin A. Ivanov"
+EMAIL="tramni@abv.bg"
+APPROVED="rworkman"
diff --git a/office/kbgoffice/slack-desc b/office/kbgoffice/slack-desc
new file mode 100644
index 0000000000..1f7386f002
--- /dev/null
+++ b/office/kbgoffice/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kbgoffice: KBGOffice (A KDE frontend for the BG Office project)
+kbgoffice:
+kbgoffice: KBGOffice is inheritor of the popular dictionary KBEDictionary.
+kbgoffice: It provides easy to use interface for the dictionaries from the
+kbgoffice: Bulgarian Office project. Currently KBGOffice supports all the five
+kbgoffice: dictionaries (English <=> Bulgarian, Polytechnical, Computer Terms,
+kbgoffice: Thesaurus and Dialect), which should be downloaded and installed
+kbgoffice: separately.
+kbgoffice:
+kbgoffice: Homepage: http://bgoffice.sourceforge.net/
+kbgoffice: